using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace nadovezivanje1
{
    class Program
    {
        static void Main(string[] args)
        {
            //ulaz
            string[] ulaz = Console.ReadLine().Split();
            string a = ulaz[0];
            string b = ulaz[1];
            string c = ulaz[2];

            //nadovezivanje
            ulong prvi = Convert.ToUInt64(a + b + c);
            ulong drugi = Convert.ToUInt64(a + c + b);
            ulong treci = Convert.ToUInt64(b + a + c);
            ulong cetvrti = Convert.ToUInt64(b + c + a);
            ulong peti = Convert.ToUInt64(c + a + b);
            ulong sesti = Convert.ToUInt64(c + b + a);
            ulong max = prvi;

            //poredjenje
            if (drugi > max)
                max = drugi;
            if (treci > max)
                max = treci;
            if (cetvrti > max)
                max = cetvrti;
            if (peti > max)
                max = peti;
            if (sesti > max)
                max = sesti;

            //izlaz
            Console.WriteLine(max);

            Console.ReadLine();

        }
    }
}